/* libfir/src/libfir/300_response.c
 *
 *  Copyright: ©2014, Laurence Withers.
 *  Author: Laurence Withers <l@lwithers.me.uk>
 *  License: GPLv3
 */



double complex
fir_filter_response(const struct fir_filter_t* fi, double freq)
{
    int i, ncoeff = fir_filter_get_ncoeff(fi);
    double omega = 2 * M_PI * freq;
    double complex resp = 0;

    for(i = 0; i < ncoeff; ++i) {
        resp += fir_filter_get_coeff(fi, i) * cexp(I * omega * i);
    }

    return resp;
}



/* options for text editors
vim: expandtab:ts=4:sw=4:syntax=ch.doxygen
*/
