/* libfir/src/libfir/300_response.h
 *
 *  Copyright: ©2014, Laurence Withers.
 *  Author: Laurence Withers <l@lwithers.me.uk>
 *  License: GPLv3
 */



/*! \defgroup libfir_response Response analysis

\ingroup libfir

Routines in this section allow the evaluation of the filter's response.

*/
/*!@{*/



/*! \brief Measure phase and frequency response of filter at frequency.

\param fi Filter to evaluate.
\param freq Frequency (as a ratio of sample rate).
\returns Complex response of filter at given frequency.

Performs Z-domain analysis of the filter to determine the magnitude and phase of
its response to a signal of the given frequency. \a freq is expressed as a
fraction of the sample rate to be used with the filter.

*/
double complex fir_filter_response(const struct fir_filter_t* fi, double freq);



/*!@}*/
/* options for text editors
vim: expandtab:ts=4:sw=4:syntax=ch.doxygen
*/
